#    Copyright 2016 Mirantis, Inc.
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

import sqlalchemy as sa

from nailgun.db.sqlalchemy.models.base import Base
from nailgun.db.sqlalchemy.models.fields import JSON
from nailgun.db.sqlalchemy.models.mutable import MutableList


class DeploymentSequence(Base):
    __tablename__ = 'deployment_sequences'
    __table_args__ = (
        sa.UniqueConstraint('release_id', 'name', name='_name_uc'),
    )
    id = sa.Column(sa.Integer, primary_key=True)
    release_id = sa.Column(
        sa.Integer, sa.ForeignKey('releases.id'), nullable=False
    )
    name = sa.Column(sa.String(255), nullable=False)
    # contains graphs to execute
    graphs = sa.Column(MutableList.as_mutable(JSON), nullable=False)
